Subject: bug#36275: closed (Re: bug#36275: warn-about-diskspace fails with a stacktrace)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 18 Jun 2019 16:07:02 +0000

Your bug report

#36275: warn-about-diskspace fails with a stacktrace

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36275: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36275
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36275: warn-about-diskspace fails with a stacktrace
From: Björn Höfling <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Tue, 18 Jun 2019 18:06:42 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, 18 Jun 2019 15:48:51 +0200
Ludovic Courtès <[email-masked]> wrote:

> Pro tip:
> 
>   rm guix/scripts.go && make
> 
> :-)
> 
> This recompilation is needed because
> 1b5ee3bdaacf665ad1e7c6142122389fd7033ea2 moved a bunch of bindings
> used by macro-expanded code to a different module.

I sometimes still have my problems with the Guile stacktraces. In that
case it was pointing me to the wrong locations and I couldn't
understand why. Well, the source and binaries didn't match any more.

I chose a full "make clean-go" and it works again :-)

Thanks,

Björn

Subject: warn-about-diskspace fails with a stacktrace
From: Björn Höfling <[email-masked]>
To: <[email-masked]>
Date: Tue, 18 Jun 2019 10:48:14 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

A successful build on a system with little disk-space ends with:

$ ./pre-inst-env  guix system disk-image system.scm
[..]
/gnu/store/a6p78ff1pjd6rdmf58066aidxlmiaqlm-disk-image
Backtrace:
           8 (apply-smob/1 #<catch-closure 61f1a0>)
In ice-9/boot-9.scm:
    705:2  7 (call-with-prompt _ _ #<procedure default-prompt-handle?>)
In ice-9/eval.scm:
    619:8  6 (_ #(#(#<directory (guile-user) 6dd140>)))
In guix/ui.scm:
  1620:12  5 (run-guix-command _ . _)
In ice-9/boot-9.scm:
    829:9  4 (catch _ _ #<procedure 7f357601bc80 at guix/ui.scm:587?> ?)
    829:9  3 (catch _ _ #<procedure 7f357601bc98 at guix/ui.scm:710?> ?)
In guix/scripts/system.scm:
   1325:8  2 (_)
In guix/status.scm:
    768:4  1 (call-with-status-report _ _)
In guix/scripts.scm:
   201:10  0 (warn-about-disk-space _ #:threshold _)

guix/scripts.scm:201:10: In procedure warn-about-disk-space:
In procedure private-lookup: No variable bound to print-diagnostic-prefix in module (guix ui)